/*
 * Copyright (C) 2004 Pawel Foremski <pjf@asn.pl>
 * Copyright © 2006 Roberto Alsina <ralsina@kde.org>
 *
 * For any questions please contact Roberto Alsina, because
 * this version is heavily modified from Mr. Foremski's original.
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License 
 * as published by the Free Software Foundation; either 
 * version 2 of the License, or (at your option) any later 
 * version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <unistd.h>
#include "bstrlib.h"

int
main ()
{
  int ppid = getppid ();
  int tc, rc;

  bstring tcount = bfromcstr (getenv ("TARPITCOUNT"));
  if (!tcount)
    tcount = bfromcstr ("50");
  bstring tdelay = bfromcstr (getenv ("TARPITDELAY"));
  if (!tdelay)
    tdelay = bfromcstr ("2");

  bstring rcount = bfromcstr (getenv ("SMTPRCPTCOUNT"));
  if (!rcount)
    {
      fprintf (stderr,
               "tarpit: pid %d - can't get number of envelope recipients\n",
               ppid);
      exit (0);
    }

  tc = atoi (tcount->data);
  rc = atoi (rcount->data);

  if (rc < tc)
    exit (0);                   /* under limit */

  if (rc == tc)
    fprintf (stderr, "tarpit: pid %d started tarpitting\n", ppid);

  switch (*(tdelay->data))
    {
    case 'N':                  /* NORMAL */
      sleep ((rc - tc + 1) * 2);
      break;
    case 'M':                  /* MEDIUM */
      sleep ((rc - tc + 1) * 5);
      break;
    case 'H':                  /* HARD */
      sleep ((rc - tc + 1) * (rc - tc + 1));
      break;
    default:
      sleep (atoi (tdelay->data));
      break;
    }

  exit (0);
}
